Skip to main content
GET
List website evaluations

Authorizations

Authorization
string
header
required

Path Parameters

organization_id
string<uuid>
required

A UUID string identifying the organization.

workspace_id
string<uuid>
required

A UUID string identifying the workspace.

Query Parameters

include_results
boolean
default:true

Embed each audit's per-URL results. Set it to false to get the summaries only (score, url_count), then read the audit you need with retrieve_website_evaluation.

limit
integer

Return at most this many audits.

Required range: x >= 1
offset
integer
default:0

Skip this many audits first.

Required range: x >= 0
ordering
enum<string>
default:-created_at

Order of the audits: newest first (default), or by average score.

  • -created_at - -created_at
  • score - score
  • -score - -score
Available options:
-created_at,
score,
-score
Minimum string length: 1

Response

200 - application/json
id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only
created_by
string<uuid> | null
required
read-only
workspace_id
string<uuid>
required
name
string
required
Maximum string length: 200
urls
string<uri>[]
required
Maximum string length: 2000
is_archived
boolean
required
read-only
generation_cost
integer
required
read-only
url_count
integer
required

Number of distinct URLs with a result.

score
number<double>
required

Average eval_score of the results, 0 when there is none.

tags
string[]
Maximum string length: 200
status
enum<string>
  • pending - pending
  • in_progress - in progress
  • completed - completed
  • partial - partial
  • failed - failed
Available options:
pending,
in_progress,
completed,
partial,
failed
include_discovery
boolean
results
object[]

Absent when listed with include_results=false.